Bug 983403 - [Config] Various issues with the configuration files and contents of /etc/swift
[Config] Various issues with the configuration files and contents of /etc/swift
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-swift (Show other bugs)
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Luis Pabón
pushpesh sharma
Depends On:
Blocks: 985807
  Show dependency treegraph
Reported: 2013-07-11 03:04 EDT by pushpesh sharma
Modified: 2016-11-08 17:24 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-23 18:32:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description pushpesh sharma 2013-07-11 03:04:03 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install RHS2.1 ISO available at 

Actual results:

[root@dhcp207-9 swift]# ls -al
total 80
drwxr-xr-x.   6 root root   4096 Jul 11 12:08 .
drwxr-xr-x. 100 root root  12288 Jul 11 11:59 ..
drwxr-xr-x.   2 root root   4096 Jul 10 20:05 account-server
-rw-rw----.   1 root swift   207 Jul 10 20:03 account-server.conf
-rw-r--r--.   1 root root    936 Jul 10 23:02 account-server.conf-gluster
drwxr-xr-x.   2 root root   4096 Jul 10 20:05 container-server
-rw-rw----.   1 root swift   238 Jul 10 20:03 container-server.conf
-rw-r--r--.   1 root root    971 Jul 10 23:02 container-server.conf-gluster
-rw-r--r--.   1 root root    779 Jul 10 23:02 fs.conf-gluster
-rw-rw----.   1 root swift   291 Jul 10 20:03 object-expirer.conf
drwxr-xr-x.   2 root root   4096 Jul 10 20:05 object-server
-rw-rw----.   1 root swift   202 Jul 10 20:03 object-server.conf
-rw-r--r--.   1 root root   1816 Jul 10 23:02 object-server.conf-gluster
drwxr-xr-x.   2 root root   4096 Jul 10 20:05 proxy-server
-rw-rw----.   1 root swift   835 Jul 10 20:03 proxy-server.conf
-rw-r--r--.   1 root root   2122 Jul 10 23:02 proxy-server.conf-gluster
-rw-rw----.   1 root swift    63 Jul 10 20:03 swift.conf
-rw-r--r--.   1 root root   2870 Jul 10 23:02 swift.conf-gluster

Expected results:

1. There is no need of directories called account-server, proxy-server, object-server, container-server

2. There are two copies of each conf file ( one with a -gluster suffix). Only single copy of each conf should be there.

3. object expirer was never a part of gluster-swift, so the conf file object-expirer.conf should be removed. 
4.Only content in /etc/swift should be these six conf files viz:-

3. By looking at the content of current *.conf files, It seems these configuration files are referring to openstack-swift configurations , as there are references to account-replicator,account-auditor,account-reaper,
container-replicator,container-updater,container-auditor,container-sync, authtoken, keystone ,keystoneclient, middleware .

4. RPM info is as follows:-

[root@dhcp207-9 swift]# rpm -qa|grep gluster


Additional info:
Comment 2 Luis Pabón 2013-07-12 14:34:13 EDT
I am not sure if we say that /etc/swift should have just six files as described.  Normal openstack-swift installs those directories and configuration files and gluster-swift installs the configuration files that end in *.conf-gluster for the user to use as a template to configure their .conf files.  

To satisfy the requirements in this bug, we would need to create our own version of the swift rpms and deviate from the vanilla installation which we are trying to no longer do.
Comment 3 Luis Pabón 2013-07-19 11:50:03 EDT
Our solution will be to make sure that the Gluster for Swift rpm sets up the environment correctly.  It may have to unset or reconfigure what openstack-swift packages have setup.
Comment 4 Sahina Bose 2013-07-22 05:53:17 EDT
Start/ status of gluster-swift related services not working -

service gluster-swift-account status
--> returns
/etc/init.d/gluster-swift-account: line 18: /usr/share/openstack-swift/functions: No such file or directory

service gluster-swift-account start
--> returns
/etc/init.d/gluster-swift-account: line 18: /usr/share/openstack-swift/functions: No such file or directory
Comment 5 Luis Pabón 2013-07-29 14:23:52 EDT
Fixed RPM spec file for gluster-swift.  New version with the fix is gluster-swift-1.8.0-6.11.el6
Comment 6 pushpesh sharma 2013-08-05 05:18:22 EDT
Contents of /etc/swift/ are now only 6 sample *.conf-gluster files.Fix looks good to me.Configuration of gluster-swift with these new set of config file is much simpler.  

[root@luigi ~]# rpm -qa|grep swift
Comment 9 Scott Haines 2013-09-23 18:32:30 EDT
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA. 

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.